Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer
Class ArcPathPoint

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  pipe.dataLayer.PetriNetObject
                      pipe.dataLayer.ArcPathPoint

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, Constants, Zoomable

    public class ArcPathPoint

extends PetriNetObject
implements Constants, Zoomable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static boolean` | `CURVED`
`int` | `DELTA`
`static int` | `SIZE`
`static int` | `SIZE_OFFSET`
`static boolean` | `STRAIGHT`

Fields inherited from class pipe.dataLayer.PetriNetObject
`bounds, COMPONENT_DRAW_OFFSET, draggable, id, ignoreSelection, objectColour, pnName, selectable, selected, selectionBorderColour`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CLASS_FILE_DESC, CLASS_FILE_EXTENSION, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAG, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `delete()`
`double` | `getAngle(ArcPathPoint p2)`
`double` | `getAngle(java.awt.geom.Point2D.Float p2)`
`ArcPath` | `getArcPath()`
`java.awt.geom.Point2D.Float` | `getControl1()`
`java.awt.geom.Point2D.Float` | `getControl2()`
`int` | `getIndex()`
`java.awt.geom.Point2D.Float` | `getMidPoint(ArcPathPoint target)`
`java.awt.geom.Point2D.Float` | `getPoint()`
`boolean` | `getPointType()`
`boolean` | `isDeleteable()`
`void` | `kill()`
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `setControl1(float _x, float _y)`
`void` | `setControl1(java.awt.geom.Point2D.Float p)`
`void` | `setControl2(float _x, float _y)`
`void` | `setControl2(java.awt.geom.Point2D.Float p)`
`void` | `setPointLocation(float x, float y)`
`void` | `setPointType(boolean type)`
`void` | `setVisibilityLock(boolean lock)`
`void` | `splitPoint()` splitPoint() This method is called when the user selects the popup menu option Split Point on an Arc Point.
`void` | `togglePointType()`
`void` | `updatePointLocation()`
`void` | `zoomUpdate()`

Methods inherited from class pipe.dataLayer.PetriNetObject
`addedToGui, addLabelToContainer, addZoomController, deselect, getId, getNameLabel, getZoomController, ignoreSelection, isDraggable, isSelectable, isSelected, removeFromContainer, select, setDraggable, setId, setObjectColour, setSelectable, setSelectionBorderColour`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRAIGHT

    public static final boolean STRAIGHT

See Also:
  Constant Field Values

### CURVED

    public static final boolean CURVED

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### SIZE_OFFSET

    public static final int SIZE_OFFSET

See Also:
  Constant Field Values

### DELTA

    public final int DELTA

See Also:
  Constant Field Values

Method Detail

### getPoint

    public java.awt.geom.Point2D.Float getPoint()

### setPointLocation

    public void setPointLocation(float x,
                                 float y)

### getPointType

    public boolean getPointType()

### updatePointLocation

    public void updatePointLocation()

### setPointType

    public void setPointType(boolean type)

### togglePointType

    public void togglePointType()

### setVisibilityLock

    public void setVisibilityLock(boolean lock)

### getAngle

    public double getAngle(ArcPathPoint p2)

### getAngle

    public double getAngle(java.awt.geom.Point2D.Float p2)

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `PetriNetObject`

### getIndex

    public int getIndex()

### splitPoint

    public void splitPoint()

  splitPoint() This method is called when the user selects the popup menu option Split Point on an Arc Point. The method determines the index of the selected point in the listarray of ArcPathPoints that an arcpath has. Then then a new point is created BEFORE this one in the list and offset by a small delta in the x direction.

### getMidPoint

    public java.awt.geom.Point2D.Float getMidPoint(ArcPathPoint target)

### isDeleteable

    public boolean isDeleteable()

### delete

    public void delete()

  Overrides:
    `delete` in class `PetriNetObject`

### kill

    public void kill()

### getControl1

    public java.awt.geom.Point2D.Float getControl1()

### getControl2

    public java.awt.geom.Point2D.Float getControl2()

### setControl1

    public void setControl1(float _x,
                            float _y)

### setControl2

    public void setControl2(float _x,
                            float _y)

### setControl1

    public void setControl1(java.awt.geom.Point2D.Float p)

### setControl2

    public void setControl2(java.awt.geom.Point2D.Float p)

### getArcPath

    public ArcPath getArcPath()

### zoomUpdate

    public void zoomUpdate()

  Specified by:
    `zoomUpdate` in interface `Zoomable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD